from models import db
from peewee import *


class WalletAddressSui(Model):
    id = AutoField(primary_key=True)
    address = CharField(max_length=255, null=True)
    private_key = CharField(max_length=255, null=True)
    words = CharField(max_length=255, null=True)
    tg_id = IntegerField(default=0, null=False)
    server_ip = CharField(max_length=255, null=True, verbose_name='服务器ip', constraints=[SQL('DEFAULT NULL')])
    ld_name = CharField(max_length=255, null=True, verbose_name='模拟器名称', constraints=[SQL('DEFAULT NULL')])
    stast = IntegerField(null=True, verbose_name='绑定状态（0：使用中，1：绑定成功）')
    logged_in_wallet_time = CharField(max_length=255, null=True, verbose_name='绑定钱包时间',
                                      constraints=[SQL('DEFAULT NULL')])

    class Meta:
        database = db
        table_name = 'wallet_address_sui'
